Error in addDataSourceAws.jsp - JasperReports Server 5.2 on EC2

1
Notice from Jaspersoft: Version 5.2 of JasperReports Server is currently not certified to run on Amazon EC2. A software defect has been identified that generates an error when creating a new data source. The defect is in the processing of being fixed.
 
The error message is:
 

java.lang.IllegalStateException: Exception occurred rendering view org.springframework.web.servlet.view.JstlView: name 'modules/addResource/dataSource/addDataSourceAws'; URL [/WEB-INF/jsp/modules/addResource/dataSource/addDataSourceAws.jsp]

 
Workaround options:
 
  • Downgrade to version 5.1.
  • Watch this thread for notification of the defect fix.
  • Use the Jaspersoft BI for AWS service as instructed at http://community.jaspersoft.com/jaspersoft-aws/launch. This includes the certified version of Jaspersoft for AWS. Note that Jaspersoft BI for AWS is a pay-as-you-go service offered by Amazon Web Services.
mmflynn's picture
1586
Joined: Sep 19 2006 - 5:43am
Last seen: 6 years 1 month ago

1 Answer:

0

This issue has been resolved. Customers with active support subscriptions can contact Technical Support and request the hotfix for issue #33210. Note that this issue only occurs if you download JasperReports Server version 5.2.0 and install it on EC2.

Mary Flynn

Jaspersoft

mmflynn's picture
1586
Joined: Sep 19 2006 - 5:43am
Last seen: 6 years 1 month ago

When will the fix be available to the general public?

This issue was not mentioned in the 'Known Issues' of the 5.2.0 README.

jonathan_r - 6 years 1 month ago
Feedback
randomness